#ifndef __Slider__
#define __Slider__

#ifndef GUI_DLL 
    #ifdef GUI_BUILD
	    #define GUI_DLL __declspec(dllexport)
    #else
	    #define GUI_DLL __declspec(dllimport)
        #pragma comment(lib, "WindowManager.lib")
    #endif
#endif


#include "Window.h"


class GUI_DLL Slider : public Window {
public:
    Slider(Window* parent = 0);
    virtual ~Slider();

    float getValue();
    void  setValue(float value);

protected:
    void onMouseLeftDown(Event& event);

    class _Slider;
    _Slider* _slider;
};

#endif